/*
Copyright [2020] [https://www.xiaonuo.vip]

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：

1.请不要删除和修改根目录下的LICENSE文件。
2.请不要删除和修改Snowy源码头部的版权声明。
3.请保留源码和相关描述文件的项目出处，作者声明等。
4.分发源码时候，请注明软件出处 https://gitee.com/xiaonuobase/snowy
5.在修改包名，模块名称，项目代码等时，请注明软件出处 https://gitee.com/xiaonuobase/snowy
6.若您的项目无法满足以上几点，可申请商业授权，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.huimv.modular.heartbeatrecord.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.huimv.core.pojo.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.*;
import cn.afterturn.easypoi.excel.annotation.Excel;

/**
 * 基站心跳
 *
 * @author haohao
 * @date 2021-08-20 11:00:36
 */

@Data
@TableName("heart_beat_record")
public class HeartBeatRecord  {

    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 
     */
    @Excel(name = "")
    private String head;

    /**
     * 
     */
    @Excel(name = "")
    private String deviceCode;

    /**
     * 
     */
    @Excel(name = "")
    private Integer cmd;

    /**
     * 
     */
    @Excel(name = "")
    private String checkNo;

    /**
     * 
     */
    @Excel(name = "")
    private String tail;

    /**
     * 地县编码
     */
    @Excel(name = "地县编码")
    private String countyCode;

    /**
     * 牧场编码
     */
    @Excel(name = "牧场编码")
    private String farmCode;

    /**
     * 猪舍id
     */
    @Excel(name = "猪舍id")
    private String pigpenId;

    /**
     * 单元id
     */
    @Excel(name = "单元id")
    private String unitId;

    /**
     * 单元id
     */
    @Excel(name = "单元id")
    private Date  createTime;




}
